com.mockobjects.servlet

## Class MockFilterConfig

- java.lang.Object
- - com.mockobjects.MockObject
  - - com.mockobjects.servlet.MockFilterConfig

All Implemented Interfaces:
  Verifiable

    public class MockFilterConfig
    extends MockObject

### Constructor Summary

Constructors
Constructor and Description
`MockFilterConfig()`

### Method Summary

Methods
`java.lang.String` `getFilterName()`
`java.lang.String` `getInitParameter(java.lang.String name)`
`java.util.Enumeration` `getInitParameterNames()`
`ServletContext` `getServletContext()`
`void` `setupGetServletContext(ServletContext servletContext)`

### Methods inherited from class com.mockobjects.MockObject

`notImplemented, notYetImplemented, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MockFilterConfig

    public MockFilterConfig()

### Method Detail

#### getFilterName

    public java.lang.String getFilterName()

#### setupGetServletContext

    public void setupGetServletContext(ServletContext servletContext)

#### getServletContext

    public ServletContext getServletContext()

#### getInitParameter

    public java.lang.String getInitParameter(java.lang.String name)

#### getInitParameterNames

    public java.util.Enumeration getInitParameterNames()